# EnemyAttackStatusEffectChanceModifier | pokemon-rogue-battle
Documentation for pokemon-rogue-battle

# Class EnemyAttackStatusEffectChanceModifier

#### Hierarchy (View Summary)

- EnemyPersistentModifier
  - EnemyAttackStatusEffectChanceModifier

- Defined in src/modifier/modifier.ts:3603

##### Index

### Constructors

constructor

### Properties

chance
effect
stackCount
type
virtualStackCount

### Methods

add
apply
clone
getArgs
getIcon
getIconStackText
getMaxStackCount
getStackCount
incrementStack
isIconVisible
match
shouldApply

## Constructors

### constructor

- new EnemyAttackStatusEffectChanceModifier(
  type: ModifierType ,
  effect: StatusEffect ,
  _chancePercent: number,
  stackCount?: number,
  ): EnemyAttackStatusEffectChanceModifier

  #### Parameters

  - type: ModifierType
  - effect: StatusEffect
  - _chancePercent: number
  - `Optional` stackCount: number

  #### Returns EnemyAttackStatusEffectChanceModifier

  Overrides EnemyPersistentModifier.constructor

  - Defined in src/modifier/modifier.ts:3607

## Properties

### chance

chance: number

- Defined in src/modifier/modifier.ts:3605

### effect

effect: StatusEffect

- Defined in src/modifier/modifier.ts:3604

### stackCount

stackCount: number

Inherited from EnemyPersistentModifier.stackCount

- Defined in src/modifier/modifier.ts:186

### type

type: ModifierType

Inherited from EnemyPersistentModifier.type

- Defined in src/modifier/modifier.ts:159

### virtualStackCount

virtualStackCount: number

Inherited from EnemyPersistentModifier.virtualStackCount

- Defined in src/modifier/modifier.ts:187

## Methods

### add

- add(modifiers: PersistentModifier [], virtual: boolean): boolean

  #### Parameters

  - modifiers: PersistentModifier []
  - virtual: boolean

  #### Returns boolean

  Inherited from EnemyPersistentModifier.add

  - Defined in src/modifier/modifier.ts:195

### apply

- apply(enemyPokemon: default ): boolean

  Applies EnemyAttackStatusEffectChanceModifier

  #### Parameters

  - enemyPokemon: default

    `Pokemon` to apply the status effect to

  #### Returns boolean

  `true` if the `Pokemon` was affected

  Overrides EnemyPersistentModifier.apply

  - Defined in src/modifier/modifier.ts:3632

### clone

- clone(): EnemyAttackStatusEffectChanceModifier

  #### Returns EnemyAttackStatusEffectChanceModifier

  Overrides EnemyPersistentModifier.clone

  - Defined in src/modifier/modifier.ts:3619

### getArgs

- getArgs(): any[]

  #### Returns any[]

  Overrides EnemyPersistentModifier.getArgs

  - Defined in src/modifier/modifier.ts:3623

### getIcon

- getIcon(_forSummary?: boolean): Container

  #### Parameters

  - `Optional`_forSummary: boolean

  #### Returns Container

  Inherited from EnemyPersistentModifier.getIcon

  - Defined in src/modifier/modifier.ts:239

### getIconStackText

- getIconStackText(virtual?: boolean): null | BitmapText

  #### Parameters

  - `Optional` virtual: boolean

  #### Returns null | BitmapText

  Inherited from EnemyPersistentModifier.getIconStackText

  - Defined in src/modifier/modifier.ts:260

### getMaxStackCount

- getMaxStackCount(): number

  #### Returns number

  Overrides EnemyPersistentModifier.getMaxStackCount

  - Defined in src/modifier/modifier.ts:3640

### getStackCount

- getStackCount(): number

  #### Returns number

  Inherited from EnemyPersistentModifier.getStackCount

  - Defined in src/modifier/modifier.ts:229

### incrementStack

- incrementStack(amount: number, virtual: boolean): boolean

  #### Parameters

  - amount: number
  - virtual: boolean

  #### Returns boolean

  Inherited from EnemyPersistentModifier.incrementStack

  - Defined in src/modifier/modifier.ts:216

### isIconVisible

- isIconVisible(): boolean

  #### Returns boolean

  Inherited from EnemyPersistentModifier.isIconVisible

  - Defined in src/modifier/modifier.ts:235

### match

- match(modifier: Modifier ): boolean

  #### Parameters

  - modifier: Modifier

  #### Returns boolean

  Overrides EnemyPersistentModifier.match

  - Defined in src/modifier/modifier.ts:3615

### shouldApply

- shouldApply(..._args: [enemyPokemon: default ]): boolean

  Checks if `Modifier` should be applied

  #### Parameters

  - ..._args: [enemyPokemon: default ]

    parameters passed to `Modifier.apply`

  #### Returns boolean

  always `true` by default

  Inherited from EnemyPersistentModifier.shouldApply

  - Defined in src/modifier/modifier.ts:174